<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/school_navigation"
    app:startDestination="@id/homeScreen">

    <fragment
        android:id="@+id/homeScreen"
        android:name="com.example.a20220804_yaritzamoreno_nycschools.features.homescreen.HomeFragment"
        tools:layout="@layout/fragment_home">
        <action
            android:id="@+id/action_homeScreen_to_detailScreen"
            app:destination="@id/detailScreen" />
    </fragment>
    <fragment
        android:id="@+id/detailScreen"
        android:name="com.example.a20220804_yaritzamoreno_nycschools.features.detailscreen.DetailFragment"
        tools:layout="@layout/fragment_detail" >
        <argument android:name="school"
            app:argType="com.example.a20220804_yaritzamoreno_nycschools.features.homescreen.School" />
    </fragment>
</navigation>